Skip to main content
GET
/
api
/
Transactions
/
{TransactionID}
Get Transaction
curl --request GET \
  --url https://reporting.ecrypt.com/api/Transactions/{TransactionID} \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://reporting.ecrypt.com/api/Transactions/{TransactionID}"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://reporting.ecrypt.com/api/Transactions/{TransactionID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transactionId": 123,
  "type": "<string>",
  "tender": "<string>",
  "paymentName": "<string>",
  "paymentNetwork": "<string>",
  "paymentAccount": "<string>",
  "paymentAccountExpiry": "<string>",
  "payamentAccountRouting": "<string>",
  "amount": 123,
  "authorizationAmount": 123,
  "capturedAmount": 123,
  "gratuityAmount": 123,
  "surchargeAmount": 123,
  "settlementAmount": 123,
  "voidedAmount": 123,
  "referenceTransactionId": 123,
  "approvalCode": "<string>",
  "avsCode": "<string>",
  "cvvCode": "<string>",
  "enhanced": true,
  "status": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "events": [
    {
      "type": "<string>",
      "code": "<string>",
      "text": "<string>",
      "created": "2023-11-07T05:31:56Z"
    }
  ],
  "order": {
    "discount": 123,
    "surcharge": 123,
    "shipping": 123,
    "tip": 123,
    "tax": 123,
    "total": 123,
    "billingAddress": {
      "name": "<string>",
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postalCode": "<string>",
      "country": "<string>"
    },
    "shippingAddress": {
      "name": "<string>",
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "postalCode": "<string>",
      "country": "<string>"
    },
    "lines": [
      {
        "productCode": "<string>",
        "description": "<string>",
        "commodityCode": "<string>",
        "unitOfMeasure": "<string>",
        "unitCost": 123,
        "quantity": 123,
        "discount": 123,
        "taxableAmount": 123,
        "alternateTaxId": "<string>",
        "tax": 123,
        "total": 123
      }
    ],
    "metadata": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}
{
"transactionId": 123,
"type": "<string>",
"tender": "<string>",
"paymentName": "<string>",
"paymentNetwork": "<string>",
"paymentAccount": "<string>",
"paymentAccountExpiry": "<string>",
"payamentAccountRouting": "<string>",
"amount": 123,
"authorizationAmount": 123,
"capturedAmount": 123,
"gratuityAmount": 123,
"surchargeAmount": 123,
"settlementAmount": 123,
"voidedAmount": 123,
"referenceTransactionId": 123,
"approvalCode": "<string>",
"avsCode": "<string>",
"cvvCode": "<string>",
"enhanced": true,
"status": "<string>",
"created": "2023-11-07T05:31:56Z",
"events": [
{
"type": "<string>",
"code": "<string>",
"text": "<string>",
"created": "2023-11-07T05:31:56Z"
}
],
"order": {
"discount": 123,
"surcharge": 123,
"shipping": 123,
"tip": 123,
"tax": 123,
"total": 123,
"billingAddress": {
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"shippingAddress": {
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"lines": [
{
"productCode": "<string>",
"description": "<string>",
"commodityCode": "<string>",
"unitOfMeasure": "<string>",
"unitCost": 123,
"quantity": 123,
"discount": 123,
"taxableAmount": 123,
"alternateTaxId": "<string>",
"tax": 123,
"total": 123
}
],
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

X-Api-Key
string
header
required

Enter your API key

Path Parameters

TransactionID
integer<uint64>
required

Response

object | null

OK

transactionId
integer<uint64>

Ecrypt Transaction ID

type
string

Type of transaction.

Values:

  • AUTHORIZATION
  • SALE
  • CREDIT
  • REFUND
  • VALIDATION
tender
string

Tender type for transaction.

Values:

  • CREDITCARD
  • CHECK
  • CASH
paymentName
string | null

Name on the payment method.

paymentNetwork
string | null

Network for the payment.

Values:

  • AX
  • DI
  • MC
  • VI
  • ACH
  • CASH
paymentAccount
string | null

Payment Account number masked.

paymentAccountExpiry
string | null

Payment Expiry. Format MMYY.

payamentAccountRouting
string | null

ACH Routing number. Only available when Tender is CHECK

amount
number<decimal>

Amount transaction was attempted for.

authorizationAmount
number<decimal> | null

Amount transaction was authorized for.

capturedAmount
number<decimal> | null

Amount transaction was captured for.

gratuityAmount
number<decimal> | null

Amount of gratuity applied to transaction.

surchargeAmount
number<decimal> | null

Amount of surcharge applied to transaction.

settlementAmount
number<decimal> | null

Amount Settled/Funded for the transaction.

voidedAmount
number<decimal> | null

Amount that was voided on the transaction.

referenceTransactionId
integer<uint64> | null

Referenced Transaction ID, this is commonly associated with transaction Type REFUND.

approvalCode
string | null

Network approval code.

avsCode
string | null

Address Verification code when applicable.

cvvCode
string | null

Card Verification code when applicable;

enhanced
boolean | null

Transaction was enhanced with Tier II/III data.

status
string

Status of the transaction.

Values:

  • APPROVED
  • DECLINED
  • CAPTURED
  • VOIDED
  • SETTLED
  • REJECTED
created
string<date-time>

Create date time represented in UTC.

events
(object | null)[] | null

Events associated with the transaction.

order
object | null